Open SCAP Library

Data Structures | Typedefs | Functions
oval_sysInfo.c File Reference

Open Vulnerability and Assessment Language. More...

`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include "oval_system_characteristics_impl.h"`
`#include "adt/oval_collection_impl.h"`
`#include "oval_agent_api_impl.h"`
`#include "common/util.h"`
`#include "common/debug_priv.h"`
`#include "common/elements.h"`

## Data Structures
struct | oval_sysinfo
| General instrumented host description. More...

## Typedefs
typedef struct oval_sysinfo | oval_sysinfo_t

## Functions
struct oval_sysinfo * | oval_sysinfo_new (struct oval_syschar_model *model)
struct oval_sysinfo * | oval_sysinfo_clone (struct oval_syschar_model *new_model, struct oval_sysinfo *old_sysinfo)
void | oval_sysinfo_free (struct oval_sysinfo *sysinfo)
bool | oval_sysinfo_iterator_has_more (struct oval_sysinfo_iterator *oc_sysinfo)
struct oval_sysinfo * | oval_sysinfo_iterator_next (struct oval_sysinfo_iterator *oc_sysinfo)
void | oval_sysinfo_iterator_free (struct oval_sysinfo_iterator *oc_sysinfo)
char * | oval_sysinfo_get_os_name (struct oval_sysinfo *sysinfo)
void | oval_sysinfo_set_os_name (struct oval_sysinfo *sysinfo, char *osName)
char * | oval_sysinfo_get_os_version (struct oval_sysinfo *sysinfo)
void | oval_sysinfo_set_os_version (struct oval_sysinfo *sysinfo, char *osVersion)
char * | oval_sysinfo_get_os_architecture (struct oval_sysinfo *sysinfo)
void | oval_sysinfo_set_os_architecture (struct oval_sysinfo *sysinfo, char *osArchitecture)
char * | oval_sysinfo_get_primary_host_name (struct oval_sysinfo *sysinfo)
void | oval_sysinfo_set_primary_host_name (struct oval_sysinfo *sysinfo, char *primaryHostName)
struct oval_sysint_iterator * | oval_sysinfo_get_interfaces (struct oval_sysinfo *sysinfo)
void | oval_sysinfo_add_interface (struct oval_sysinfo *sysinfo, struct oval_sysint *interface)
int | oval_sysinfo_parse_tag (xmlTextReaderPtr reader, struct oval_parser_context *context)
void | oval_sysinfo_to_dom (struct oval_sysinfo *sysinfo, xmlDoc *doc, xmlNode *tag_parent)

## Detailed Description

Open Vulnerability and Assessment Language.

See more details at http://oval.mitre.org/